Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(102)

Unified Diff: platform_tools/android/bin/android_setup.sh

Issue 14803004: Check for third_party deps before compiling on android (Closed) Base URL: https://skia.googlecode.com/svn/trunk
Patch Set: Created 7 years, 8 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: platform_tools/android/bin/android_setup.sh
diff --git a/platform_tools/android/bin/android_setup.sh b/platform_tools/android/bin/android_setup.sh
index 058d9433290a7fcf3532089e2bb876bdcad8b738..1ecb0132a84e9cd4f0d637da9a3a8972bded1ff3 100755
--- a/platform_tools/android/bin/android_setup.sh
+++ b/platform_tools/android/bin/android_setup.sh
@@ -26,6 +26,17 @@ if [[ "$?" != "0" ]]; then
exit 1
fi
+# check to see that gclient sync ran successfully
+THIRD_PARTY_EXTERNAL_DIR=${SCRIPT_DIR}/../third_party/externals
+if [ ! -d "$ANDROID_TOOLCHAIN" ]; then
+ echo ""
+ echo "ERROR: Unable to find the required third_party dependencies needed to build."
+ echo " To fix this add the following line to your .gclient file and run 'gclient sync'"
+ echo " target_os = ['android']"
+ echo ""
+ exit 1;
+fi
+
# determine the toolchain that we will be using
API_LEVEL=14
« no previous file with comments | « no previous file | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698